Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
GETHardware SDN Controller OperationsSince 5.4.0SynchronousAuth Required

QueryHuaweiIMasterVRouter

QueryHuaweiIMasterVRouter

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • logicalNetworkIdStringRequired

      No description provided.

    • tenantIdStringRequired

      租户ID。

    • fabricUuidStringRequired

      No description provided.

    • deletedBooleanRequired

      已删除。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The brief description of the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/sdn-controller/huawei-imaster/vrouters

/zstack/v1/sdn-controller/huawei-imaster/vrouters

Operation ID

QueryHuaweiIMasterVRouter

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/sdn-controller/huawei-imaster/vrouters' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "e75a229874b23b35903e52a6f52059cb", "name": "vrouter1", "description": "vrouter for test", "logicalNetworkId": "87ed0075640733c291aa223772d9d82d", "tenantId": "2f4c1e3a62fa3da1ab1cca8b53074b9f" } ] }

Change History

This API has no change history records yet.

View all change history